org.apache.ignite.stream.kafka.connect

## Class IgniteSinkConnector

- java.lang.Object
- - org.apache.kafka.connect.connector.Connector
  - - org.apache.kafka.connect.sink.SinkConnector
    - - org.apache.ignite.stream.kafka.connect.IgniteSinkConnector

- All Implemented Interfaces:
    org.apache.kafka.connect.components.Versioned

      public class IgniteSinkConnector
      extends org.apache.kafka.connect.sink.SinkConnector

  Sink connector to manage sink tasks that transfer Kafka data to Ignite grid.

- - ### Field Summary

    - ### Fields inherited from class org.apache.kafka.connect.sink.SinkConnector

      `TOPICS_CONFIG`

    - ### Fields inherited from class org.apache.kafka.connect.connector.Connector

      `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteSinkConnector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.kafka.common.config.ConfigDef` | `config()`
    `void` | `start(Map<String,String> props)` A sink lifecycle method.
    `void` | `stop()`
    `Class<? extends org.apache.kafka.connect.connector.Task>` | `taskClass()` Obtains a sink task class to be instantiated for feeding data into grid.
    `List<Map<String,String>>` | `taskConfigs(int maxTasks)` Builds each config for `maxTasks` tasks.
    `String` | `version()`

    - ### Methods inherited from class org.apache.kafka.connect.connector.Connector

      `initialize, initialize, reconfigure, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteSinkConnector

          public IgniteSinkConnector()

  - ### Method Detail

    - #### version

          public String version()

    - #### start

          public void start(Map<String,String> props)

      A sink lifecycle method. Validates grid-specific sink properties.
      Specified by:
        `start` in class `org.apache.kafka.connect.connector.Connector`
      Parameters:
        `props` - Sink properties.

    - #### taskClass

          public Class<? extends org.apache.kafka.connect.connector.Task> taskClass()

      Obtains a sink task class to be instantiated for feeding data into grid.
      Specified by:
        `taskClass` in class `org.apache.kafka.connect.connector.Connector`
      Returns:
        IgniteSinkTask class.

    - #### taskConfigs

          public List<Map<String,String>> taskConfigs(int maxTasks)

      Builds each config for `maxTasks` tasks.
      Specified by:
        `taskConfigs` in class `org.apache.kafka.connect.connector.Connector`
      Parameters:
        `maxTasks` - Max number of tasks.
      Returns:
        Task configs.

    - #### stop

          public void stop()

      Specified by:
        `stop` in class `org.apache.kafka.connect.connector.Connector`

    - #### config

          public org.apache.kafka.common.config.ConfigDef config()

      Specified by:
        `config` in class `org.apache.kafka.connect.connector.Connector`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020